﻿; #InstallKeybdHook

#SingleInstance ignore


SetWorkingDir, %A_ScriptDir%


layout := "Russky.ahk"


arg = %1%
param = fixed
if arg = %param%
{
    layout := "Russky_fixed.ahk"

}


Menu, Tray, Icon, R_cr.ico, ,


EnabledList := ""


OnExit, ExitSub


AnotherWindowActive:

Sleep, 100  ;  Gives the new window time to finish its activation.

class := IdentifyWindow()

;  MsgBox, Current window: %class%.

IfInString, EnabledList, %class%, Gosub RunRussky

else Gosub StopRussky

;  WinWaitNotActive ahk_class %class%  ;  Waits for the user to switch to another application.

WinWaitNotActive ahk_id %class%  ;  Waits for the user to switch to another window.

Gosub AnotherWindowActive




#s::
RunRussky:
Run %layout%
Hotkey, #s, StopRussky
AddCurrentAppToList()
Menu, Tray, Tip, RUSSIAN ON
;  TrayTip, , RUSSIAN ON, ,
Menu, Tray, Icon, R.ico, ,
;  MsgBox, Enabled for: %EnabledList%.
return




StopRussky:
DetectHiddenWindows On  ; Allows a script's hidden main window to be detected.
SetTitleMatchMode 2  ; Avoids the need to specify the full path of the file below.
WinClose %layout% - AutoHotkey  ; Reflects the script's name (case sensitive).
Hotkey, #s, RunRussky
DeleteCurrentAppFromList()
Menu, Tray, Tip, RUSSIAN OFF
;  TrayTip, , RUSSIAN OFF, ,
Menu, Tray, Icon, R_cr.ico, ,
return




AddCurrentAppToList()
{
global EnabledList
class := IdentifyWindow()
IfNotInString, EnabledList, %class%
{
EnabledList := EnabledList . class  ; Puts it on the list of windows which the Russian keyboard has been enabled for.
}
return
}




DeleteCurrentAppFromList()
{
global EnabledList
class := IdentifyWindow()
StringReplace, EnabledList, EnabledList, %class%  ;  Deletes from the list the window where the Russian keyboard has been disabled.
return
}




ExitSub:
{
Gosub StopRussky
ExitApp
}




IdentifyWindow()
{
;  WinGetClass, class, A
class := WinExist("A")
return class

}